#ifndef BANDWIDTH_H_
#define BANDWIDTH_H_

#include <string>
#include "../core/Quantity.h"

namespace cosi {

class Bandwidth : public RealQuantity {
	
public:
	Bandwidth();
	Bandwidth(double pValue);
	~Bandwidth();
	Bandwidth Get( ) ;
	bool operator <(Bandwidth pValue);
	bool operator >(Bandwidth pValue);
	bool operator ==(Bandwidth pValue) const;
	void operator << ( Bandwidth pValue ) ; 
	Bandwidth operator+(Bandwidth pValue) ;
	static std::string sQuantityName;
	
};

}

#endif /*BANDWIDTH_H_*/
